Flash Version 6 required. Bypass the detection if you wish.